D-Bus 1.13.18

Data Fields
DBusTimeoutList Struct Reference
D-Bus secret internal implementation details » DBusTimeout implementation details

DBusTimeoutList implementation details. More...

## Data Fields
DBusList * | timeouts
| Timeout objects.
DBusAddTimeoutFunction | add_timeout_function
| Callback for adding a timeout.
DBusRemoveTimeoutFunction | remove_timeout_function
| Callback for removing a timeout.
DBusTimeoutToggledFunction | timeout_toggled_function
| Callback when timeout is enabled/disabled or changes interval.
void * | timeout_data
| Data for timeout callbacks.
DBusFreeFunction | timeout_free_data_function
| Free function for timeout callback data.

## Detailed Description

DBusTimeoutList implementation details.

All fields are private.

Definition at line 180 of file dbus-timeout.c.

The documentation for this struct was generated from the following file:

- dbus-timeout.c